Bug 118936 - LaTeX seminar package missing seminar.bg3 bug fix file
LaTeX seminar package missing seminar.bg3 bug fix file
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2004-03-22 18:04 EST by Marc Schwartz
Modified: 2013-07-02 18:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 03:29:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc Schwartz 2004-03-22 18:04:21 EST
Description of problem:

The current LaTeX 'seminar' package is missing one of the three bug
fix files that are available. The missing file is called seminar.bg3
and is available at:


It may be available elsewhere, but this is the only copy that showed
up in a Google search.

The other two bug fix files, seminar.bug and seminar.bg2 are present
in the current latex RPM using:

rpm -qli tetex-latex | grep seminar

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Not really applicable
Actual results:

File is missing

Expected results:

File should be present based upon references to it in seminar package
FAQ's and tutorials such as:


Additional info:

Comment 1 Tim Waugh 2004-03-25 08:49:19 EST
How come this isn't even on CTAN?  I don't want to start including
things that aren't upstream.
Comment 2 Marc Schwartz 2004-03-25 13:56:35 EST

I have sent an e-mail to the gentleman whose blog is listed above
(Berndt Farwer) to solicit additional information on this file and its
history. I will post back with any additional detail that I can.

In the mean time, I have done some of my own research and located what
may be the first iteration of this bug fix, which was posted to
fr.comp.text.tex by Denis Girou at:


I do not speak French, so am unable to translate this post. However,
other references to it suggest that it is principally a fix for the
"onlyslides" command and that it does seem to resolve the problem.

I understand your hesitancy here. Is it possible that this same fix
has been incorporated elsewhere in the package, so that the additional
seminar.bg3 file is redundant? If so, that might perhaps explain why
the file has not made it into the CTAN archive.

If not, I am at a loss to explain the lack of inclusion.



Comment 3 Marc Schwartz 2004-03-25 17:33:50 EST

I received a reply from Berndt Farwer, indicating that the seminar.bg3
file that is listed in the project on his blog, was based upon a post


The above post in turn is based upon the post by Denis Girou as I
listed above. 

So it would seem that the filename of seminar.bg3, was an independent
name given by Martin Buchmann above, in his effort to actually utilize
Denis' bug fix.

I don't know if this helps or not, but at least I think closes the
loop on the background on this particular bug fix.

Would it make any sense to contact folks at CTAN or specifically
Denis, to see if there has been any consideration on their part
relative to including this additional fix as part of the package?
Denis, as you may be aware, is responsible for many of the bug fixes
in seminar (http://tug.org/applications/Seminar/Seminar-Bugs.html).

Let me know and if you wish, I can e-mail Denis.


Comment 4 Tim Waugh 2004-03-26 07:13:47 EST
If you can make sure the fix is applied upstream, and the new package
incorporated into teTeX-3.0 (currently in beta), the fix will get
distributed widely.

I'll mark this as DEFERRED for the time being.

Note You need to log in before you can comment on or make changes to this bug.